
Tony: a tool for melody transcription - Bug #1912
Occasional crash in getEventsWithin
2019-09-06 10:52 AM - Chris Cannam

Status: Closed Start date: 2019-09-06
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Description

Just had a segfault on the Mac in EventVector::getEventsWithin() immediately after opening an audio file.

Unfortunately I didn't keep the trace and haven't been able to reproduce it yet.

History
#1 - 2019-09-06 10:53 AM - Chris Cannam
- Subject changed from Occasional crash in @getEventsWithin@ to Occasional crash in getEventsWithin

#2 - 2019-11-22 01:52 PM - Chris Cannam
- Status changed from New to Closed

I believe the various thread-safety fixes in the last few months should have nobbled this; closing unless and until it happens again.
